package com.ztmap.project.zhny.netgfswl.service;

import java.util.List;
import com.ztmap.project.zhny.netgfswl.domain.TNetGfswl;

/**
 * 光伏上网量Service接口
 * 
 * @author ztmap
 * @date 2023-11-16
 */
public interface ITNetGfswlService 
{
    /**
     * 查询光伏上网量
     * 
     * @param id 光伏上网量ID
     * @return 光伏上网量
     */
    public TNetGfswl selectTNetGfswlById(Long id);

    /**
     * 查询光伏上网量列表
     * 
     * @param tNetGfswl 光伏上网量
     * @return 光伏上网量集合
     */
    public List<TNetGfswl> selectTNetGfswlList(TNetGfswl tNetGfswl);

    /**
     * 新增光伏上网量
     * 
     * @param tNetGfswl 光伏上网量
     * @return 结果
     */
    public int insertTNetGfswl(TNetGfswl tNetGfswl);

    /**
     * 修改光伏上网量
     * 
     * @param tNetGfswl 光伏上网量
     * @return 结果
     */
    public int updateTNetGfswl(TNetGfswl tNetGfswl);

    /**
     * 批量删除光伏上网量
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTNetGfswlByIds(String ids);

    /**
     * 删除光伏上网量信息
     * 
     * @param id 光伏上网量ID
     * @return 结果
     */
    public int deleteTNetGfswlById(Long id);
}
